import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

// The code below selects the SVG from HTML //
const svg = select('svg');

// Object for generating paths & projecting.
const prjctn = geoNaturalEarth1();
const orientation = geoPath().projection(prjctn);

// This method retrieves data from the end point and formats it appropriately on the canvas
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data => {
  	// projects all the countries from the data
    const country_Data = feature(data, data.objects.countries);
  	// Passes the extracted countries as data for generating the paths on the canvas
    svg.selectAll('path').data(country_Data.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', orientation);
  });